
# LIB


to use, add this to your Charts.yaml
```
dependencies:
  - name: lib
    repository: oci://repo.rre.nu/helm
    version: <chart version>
```
Common functions for my helm charts at home


## Configuration

The following table lists the configurable parameters of the Lib chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `namespace` | namespace to install to | `"default"` |
| `controller.enabled` | should the main workload be included or not | `true` |
| `controller.type` | valid options are deployment, statefulset, job | `"deployment"` |
| `controller.replicas` | number of replicas | `1` |
| `controller.lifecycle` | Define postStart and preStop handlers | `{}` |
| `controller.command` | override the containers entrypoint | `null` |
| `controller.args` | add argument to the override command | `[]` |
| `image.repository` | container image name | `null` |
| `image.pullPolicy` | kubernetes pull policy | `"IfNotPresent"` |
| `image.tag` | Overrides the image tag whose default is the chart appVersion. | `""` |
| `fullnameOverride` | override the name of the helm release | `""` |
| `service.main.enabled` |  | `false` |
| `service.main.type` |  | `"ClusterIP"` |
| `service.main.annotations` |  | `{}` |
| `service.main.labels` |  | `{}` |
| `service.main.ports` |  | `null` |
| `ingress.enabled` |  | `false` |
| `ingress.service` | what service should the ingress target | `"main"` |
| `ingress.servicePort` |  | `80` |
| `ingress.className` |  | `""` |
| `ingress.annotations` |  | `{}` |
| `ingress.hosts` |  | `[{"host": "chart-example.local", "paths": [{"path": "/", "pathType": "ImplementationSpecific"}]}]` |
| `ingress.tls` |  | `[]` |
| `resources` |  | `{}` |
| `autoscaling.enabled` |  | `false` |
| `autoscaling.minReplicas` |  | `1` |
| `autoscaling.maxReplicas` |  | `5` |
| `autoscaling.targetCPUUtilizationPercentage` |  | `80` |
| `secrets` | Secrets that needs to be created | `{}` |
| `configs` | ConfigMaps that needs to be created | `{}` |
| `envFrom` | mount environment variables from secrets or configMaps | `[]` |
| `env.TZ` |  | `"Europe/Stockholm"` |
| `volumes` |  | `[]` |
| `volumeMounts` |  | `[]` |
| `volumeClaimTemplates` | used for statefulset https://kubernetes.io/docs/concepts/workloads/controllers/statefulset | `[]` |
| `serviceAccount.create` |  | `true` |
| `serviceAccount.automount` |  | `true` |
| `serviceAccount.annotations` |  | `{}` |
| `serviceAccount.name` |  | `""` |
| `livenessProbe` |  | `{}` |
| `readinessProbe` |  | `{}` |
| `nodeSelector` |  | `{}` |
| `tolerations` |  | `[]` |
| `affinity` |  | `{}` |




