{{/*
Main entrypoint for the common library chart. It will render all underlying templates based on the provided values.
*/}}
{{- define "lib.all" -}}
  {{- include "lib.values.setup" . }}
  {{- if .Values.serviceAccount.create -}}
    {{- include "lib.serviceaccount" .  | nindent 0 }}
  {{- end -}}
  {{- if .Values.ingress.enabled -}}
    {{- include "lib.ingress" . | nindent 0}}
  {{- end -}}
  {{ include "lib.service" . | nindent 0 }}
  {{ include "lib.secrets" . | nindent 0 }}
  {{ include "lib.configs" . | nindent 0 }}
  {{ if .Values.controller.enabled }}
    {{ if eq .Values.controller.type "statefulset" }}
      {{- include "lib.statefulset" . | nindent 0 }}
    {{ else if eq .Values.controller.type "deployment" }}
      {{- include "lib.deployment" . | nindent 0 }}
    {{- end -}}
  {{- end -}}
{{- end -}}
