{{- define "lib.secrets" -}}
{{- $fullName := include "lib.fullname" . -}}
{{- $namespace := .Values.namespace | default "default" -}}
{{- $commonLabels := include "lib.labels" . }}
{{- range $name, $values := .Values.secrets }}
{{- if $values.enabled -}}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ $fullName }}-{{ $name }}
  namespace: {{ $namespace }}
  labels:
    {{- $commonLabels | nindent 4 }}
    {{- with $values.labels }}
    {{ toYaml . | nindent 4 }}
    {{- end }}
  {{- with $values.annotations }}
  annotations:
    {{ toYaml . | nindent 4 }}
  {{- end }}
type: {{ $values.type | default "Opauge" }}
{{- with $values.data }}
data:
  {{- toYaml . | nindent 2 }}
{{- end }}
{{- with $values.stringData }}
stringData:
  {{- toYaml . | nindent 2 }}
{{- end }}
{{- end }}
{{- end -}}
{{- end -}}
